Bug 1298131 - Review Request: python-azure-storage - Microsoft Azure Storage Library for Python
Review Request: python-azure-storage - Microsoft Azure Storage Library for Py...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robert-André Mauchin
Fedora Extras Quality Assurance
:
Depends On: 1297852
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-13 05:21 EST by Mohamed El Morabity
Modified: 2017-09-30 02:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-16 23:50:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zebob.m: fedora‑review+


Attachments (Terms of Use)
python-azure-storage.spec (4.49 KB, text/x-matlab)
2017-08-28 06:56 EDT, Patrick Laimbock
no flags Details

  None (edit)
Description Mohamed El Morabity 2016-01-13 05:21:53 EST
Spec URL: https://melmorabity.fedorapeople.org/packages/python-azure-storage/python-azure-storage.spec
SRPM URL: https://melmorabity.fedorapeople.org/packages/python-azure-storage/python-azure-sdk-1.0.2-1.fc23.src.rpm
Description: This project provides a client library in Python that makes it easy to consume
Microsoft Azure Storage services.
Fedora Account System Username: melmorabity
Comment 4 Mohamed El Morabity 2017-02-22 05:06:48 EST
Update to 0.34.0:

Spec URL: https://melmorabity.fedorapeople.org/packages/python-azure-storage/python-azure-storage.spec
SRPM URL: hhttps://melmorabity.fedorapeople.org/packages/python-azure-storage/python-azure-storage-0.34.0-1.fc25.src.rpm
Comment 5 Patrick Laimbock 2017-08-28 06:56 EDT
Created attachment 1319056 [details]
python-azure-storage.spec

Mohamed: thank you for working on the Azure SDK & deps packaging.

Update to 0.36.0
Comment 6 Robert-André Mauchin 2017-08-29 03:24:18 EDT
@Mohamed Do you still want it to be reviewed?


 - The Group: tag is not used in Fedora. See: https://fedoraproject.org/wiki/Packaging:Guidelines#Tags_and_Sections

 - You could use the %{py2_dist/%{py3_dist macros for your dependencies. See: 
https://fedoraproject.org/wiki/Packaging:Python#Requires_and_BuildRequires_with_standardized_names

Like this:

BuildRequires:  python-setuptools
BuildRequires:  python2-devel
# Needed to build documentation
BuildRequires:  %{py2_dist pip}
BuildRequires:  %{py2_dist sphinx}
%if 0%{?_with_python3}
BuildRequires:  python3-devel
%endif
# Needed for tests
%if 0%{?_with_tests}
BuildRequires:  %{py2_dist azure-common}
BuildRequires:  %{py2_dist cryptography}
BuildRequires:  python2-dateutil
BuildRequires:  %{py2_dist futures}
BuildRequires:  %{py2_dist requests}
BuildRequires:  %{py2_dist vcrpy}
%if 0%{?_with_python3}
BuildRequires:  %{py3_dist azure-common}
BuildRequires:  %{py3_dist cryptography}
BuildRequires:  python3-dateutil
BuildRequires:  %{py3_dist requests}
BuildRequires:  %{py3_dist vcrpy}
%endif
%endif
BuildArch:      noarch

%description
%{common_description}


%package -n python2-%{srcname}
Summary:        %{common_summary}
Requires:       %{py2_dist azure-common}
Requires:       %{py2_dist cryptography}
Requires:       python2-dateutil
Requires:       %{py2_dist futures}
Requires:       %{py2_dist requests}
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
%{common_description}


# Python 3 subpackage is disabled in EPEL due to missing dependencies
%if 0%{?_with_python3}
%package -n python3-%{srcname}
Summary:        %{common_summary}
Requires:       %{py3_dist azure-common}
Requires:       %{py3_dist cryptography}
Requires:       python3-dateutil
Requires:       %{py3_dist requests}
%{?python_provide:%python_provide python3-%{srcname}}


 - You need to make a separate subpackage for the documentation:
   
  Large documentation must go in a -doc subpackage. Large could be size
  (~1MB) or number of files.
  Note: Documentation size is 1454080 bytes in 158 files.
  See:
  http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation

 - Use %make_build instead of make alone:

%make_build -C doc/ html



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Large documentation must go in a -doc subpackage. Large could be size
  (~1MB) or number of files.
  Note: Documentation size is 6574080 bytes in 192 files.
  See:
  http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Apache (v2.0)", "Unknown or generated",
     "*No copyright* Apache (v2.0)". 661 files have unknown license.
     Detailed output of licensecheck in /home/bob/packaging/review/python-
     azure-storage/review-python-azure-storage/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: Uses parallel make %{?_smp_mflags} macro.
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python2
     -azure-storage , python3-azure-storage
[?]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-azure-storage-0.36.0-1.fc28.noarch.rpm
          python3-azure-storage-0.36.0-1.fc28.noarch.rpm
          python-azure-storage-0.36.0-1.fc28.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 7 Mohamed El Morabity 2017-09-05 05:50:48 EDT
Thanks for your review. Here is a newer version:

Spec file: https://copr-be.cloud.fedoraproject.org/results/melmorabity/azure/fedora-rawhide-x86_64/00598497-python-azure-storage/python-azure-storage.spec
SRPM file: https://copr-be.cloud.fedoraproject.org/results/melmorabity/azure/fedora-rawhide-x86_64/00598497-python-azure-storage/python-azure-storage-0.36.0-1.fc28.src.rpm

Changes:
- Update to 0.36.0
- Use python2- prefix for Fedora python deps
- Use parallel make to build documentation
- Move documentation to a subpackage
Comment 8 Robert-André Mauchin 2017-09-05 07:10:29 EDT
No issue detected, package accepted.
Comment 9 Gwyn Ciesla 2017-09-06 12:39:49 EDT
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-azure-storage
Comment 10 Fedora Update System 2017-09-08 05:26:26 EDT
python-azure-sdk-2.0.0-2.fc27 python-azure-storage-0.36.0-1.fc27 python-msrestazure-0.4.13-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0e28803615
Comment 11 Fedora Update System 2017-09-08 05:26:49 EDT
python-azure-sdk-2.0.0-2.fc27 python-azure-storage-0.36.0-1.fc27 python-msrestazure-0.4.13-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0e28803615
Comment 12 Fedora Update System 2017-09-08 05:29:12 EDT
python-azure-sdk-2.0.0-2.fc25 python-azure-storage-0.36.0-1.fc25 python-msrestazure-0.4.13-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f67a2c575f
Comment 13 Fedora Update System 2017-09-08 05:29:27 EDT
python-azure-sdk-2.0.0-2.fc25 python-azure-storage-0.36.0-1.fc25 python-msrestazure-0.4.13-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f67a2c575f
Comment 14 Fedora Update System 2017-09-08 05:30:13 EDT
python-azure-sdk-2.0.0-2.fc26 python-azure-storage-0.36.0-1.fc26 python-msrestazure-0.4.13-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7da1c58958
Comment 15 Fedora Update System 2017-09-08 05:30:26 EDT
python-azure-sdk-2.0.0-2.fc26 python-azure-storage-0.36.0-1.fc26 python-msrestazure-0.4.13-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7da1c58958
Comment 16 Fedora Update System 2017-09-08 05:31:36 EDT
python-azure-sdk-2.0.0-2.el7 python-azure-storage-0.36.0-1.el7 python-msrestazure-0.4.13-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-50395615c9
Comment 17 Fedora Update System 2017-09-08 05:31:52 EDT
python-azure-sdk-2.0.0-2.el7 python-azure-storage-0.36.0-1.el7 python-msrestazure-0.4.13-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-50395615c9
Comment 18 Fedora Update System 2017-09-08 11:24:26 EDT
python-azure-sdk-2.0.0-2.fc27, python-azure-storage-0.36.0-1.fc27, python-msrestazure-0.4.13-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0e28803615
Comment 19 Fedora Update System 2017-09-08 17:48:16 EDT
python-azure-sdk-2.0.0-2.el7, python-azure-storage-0.36.0-1.el7, python-msrestazure-0.4.13-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-50395615c9
Comment 20 Fedora Update System 2017-09-08 18:21:01 EDT
python-azure-sdk-2.0.0-2.fc25, python-azure-storage-0.36.0-1.fc25, python-msrestazure-0.4.13-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f67a2c575f
Comment 21 Fedora Update System 2017-09-08 18:23:30 EDT
python-azure-sdk-2.0.0-2.fc26, python-azure-storage-0.36.0-1.fc26, python-msrestazure-0.4.13-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7da1c58958
Comment 22 Fedora Update System 2017-09-16 23:50:51 EDT
python-azure-sdk-2.0.0-2.fc26, python-azure-storage-0.36.0-1.fc26, python-msrestazure-0.4.13-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2017-09-17 05:49:05 EDT
python-azure-sdk-2.0.0-2.fc25, python-azure-storage-0.36.0-1.fc25, python-msrestazure-0.4.13-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2017-09-23 18:19:27 EDT
python-azure-sdk-2.0.0-2.el7, python-azure-storage-0.36.0-1.el7, python-msrestazure-0.4.13-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2017-09-30 02:16:58 EDT
python-azure-sdk-2.0.0-2.fc27, python-azure-storage-0.36.0-1.fc27, python-msrestazure-0.4.13-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.